Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

AbstractFieldTypeParser.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser;
8
9 use eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\AbstractParser;
10 use eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\FieldTypeParserInterface;
11 use Symfony\Component\Config\Definition\Builder\NodeBuilder;
12
17 abstract class AbstractFieldTypeParser extends AbstractParser implements FieldTypeParserInterface
18 {
24 public function addSemanticConfig(NodeBuilder $nodeBuilder)
25 {
26 $fieldTypeNodeBuilder = $nodeBuilder->arrayNode($this->getFieldTypeIdentifier())->children();
27
28 $this->addFieldTypeSemanticConfig($fieldTypeNodeBuilder);
29 }
30 }
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\AbstractParser
Definition: AbstractParser.php:12
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\AbstractFieldTypeParser
Abstract parser class that field type parsers need to extend in order to receive NodeBuilder at Node ...
Definition: AbstractFieldTypeParser.php:18
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\AbstractFieldTypeParser\addSemanticConfig
addSemanticConfig(NodeBuilder $nodeBuilder)
Adds semantic configuration definition.
Definition: AbstractFieldTypeParser.php:24
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\FieldTypeParserInterface
Definition: FieldTypeParserInterface.php:12
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\FieldTypeParserInterface\getFieldTypeIdentifier
getFieldTypeIdentifier()
Returns the fieldType identifier the config parser works for.
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\FieldTypeParserInterface\addFieldTypeSemanticConfig
addFieldTypeSemanticConfig(NodeBuilder $nodeBuilder)
Adds fieldType semantic configuration definition.
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser
Definition: AbstractFieldTypeParser.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.